Name:		maven-toolchains-plugin
Version:	1.0
Release:	11%{?dist}
Summary:	Maven plugin for sharing configuration across projects
License:	ASL 2.0
URL:		http://maven.apache.org/plugins/maven-toolchains-plugin/
Source0:	http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         0001-Port-to-Eclipse-Sisu.patch
BuildArch:	noarch
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-toolchain)


%description
The Toolchains Plugins allows to share configuration across plugins. For
example to make sure the plugins like compiler, surefire, javadoc, webstart
etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin, it
allows to control environmental constraints in the build.

%package javadoc
Summary:	API documentation for %{name}

%description javadoc
The API documentation of %{name}.

%prep
%setup -q

%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-10
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 05 2013 Michal Srb <msrb@redhat.com> - 1.0-9
- Port to Eclipse Sisu
- Fix R/BR

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar  8 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-7
- Build with xmvn
- Add missing LICENSE and NOTICE files
- Drop Plexus container patch; Resolves: rhbz#914176

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 18 2012 Tomas Radej <tradej@redhat.com> - 1.0-3
- Fixed upstream URL

* Tue Nov 22 2011 Tomas Radej <tradej@redhat.com> - 1.0-2
- Changed source to upstream tarball
- Moved files from maven/ subdir to javadir

* Tue Nov 15 2011 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial packaging

